Name:          chromium-pepper-flash
Version:       @SRPMVERSION@
Release:       @SRPMRELEASE@
Epoch:         1
Summary:       Google Chrome's pepper-flash plugin for Chromium
Group:         Applications/Web
Vendor:        @vendor@
Distribution:  @distribution@
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://macromedia.rediris.es/
Source:        LICENSE
License:       Non Distributable
BuildPrereq:   wget
BuildPrereq:   /usr/bin/tempfile
# NOTE: requires the backward compatible version of the libstdc++ library
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Google Chrome's pepper-flash plugin for Chromium.

%prep
%setup -c -n %{name}-%{version} -D -T

[ -r /etc/sysconfig/@sysconfigfile@ ] || exit 1
declare -A SRPMVERSION SRPMRELEASE
. /etc/sysconfig/@sysconfigfile@

[ "${CHROMIUM_PEPPER_FLASH_PCK}" ] || exit 1
[ "${CHROMIUM_PEPPER_FLASH_URL}" ] || \
   CHROMIUM_PEPPER_FLASH_URL="https://dl.google.com/linux/chrome/rpm/stable/%{_arch}/"

tmpdir=$(mktemp -q -d -t flashplugin.XXXXXXXX)
[ $? -eq 0 ] || exit 1

[ -f ${tmpdir}/${FLASH_PLUGIN_PCK} ] ||
   wget -nv --timeout=10 --tries=2 \
      ${CHROMIUM_PEPPER_FLASH_URL}${CHROMIUM_PEPPER_FLASH_PCK} -O ${tmpdir}/${CHROMIUM_PEPPER_FLASH_PCK}
[ -f ${tmpdir}/${CHROMIUM_PEPPER_FLASH_PCK} ] || exit 1

rpm2cpio ${tmpdir}/${CHROMIUM_PEPPER_FLASH_PCK} | cpio -id

%build -q

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
install -d -m0755 %{buildroot}/opt/chromium/PepperFlash
cp -a opt/google/chrome/PepperFlash/* %{buildroot}/opt/chromium/PepperFlash/

cp %{S:0} LICENSE

rm -fr ${tmpdir}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/chromium/PepperFlash
/opt/chromium/PepperFlash/libpepflashplayer.so
/opt/chromium/PepperFlash/manifest.json
%doc LICENSE

%changelog
* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 37.0.2062.120-1mamba
- first build for chromium-pepper-flash
